function [ newQN ] = scReplacement( qn, index, sc )

%SCREPLACEMENT software component replacement as software refactoring
%   It takes a QN with the index of the i-th queueing center where to apply
%   the replacement of a certain software component. 
% INPUT
% index: index of the queueing center to be replaced
% sc: software component replaceability set
% OUTPUT
% newQN: refactored QN
    
newQN = qn;
newQN.rates(index,:)=sc;

end

